## org.hibernate.mapping
Interface MetaAttributable

All Known Implementing Classes:
  Backref, Component, IndexBackref, JoinedSubclass, PersistentClass, Property, RootClass, SingleTableSubclass, Subclass, SyntheticProperty, UnionSubclass

    public interface MetaAttributable

Common interface for things that can handle meta attributes.

Since:
  3.0.1

Method Summary
`MetaAttribute` `getMetaAttribute(String name)`
`Map` `getMetaAttributes()`
`void` `setMetaAttributes(Map metas)`

Method Detail

### getMetaAttributes

    Map getMetaAttributes()

### setMetaAttributes

    void setMetaAttributes(Map metas)

### getMetaAttribute

    MetaAttribute getMetaAttribute(String name)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.